# Class NullQuorumAuthServer

java.lang.Object
org.apache.zookeeper.server.quorum.auth.NullQuorumAuthServer

All Implemented Interfaces:
  `QuorumAuthServer`

public class NullQuorumAuthServer extends Object implements QuorumAuthServer
This class represents no authentication server, it just return without performing any authentication.

## Constructor Summary

Constructors
Constructor
Description
`NullQuorumAuthServer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(Socket sock, DataInputStream din)`
Performs an authentication step for the given socket connection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullQuorumAuthServer

public NullQuorumAuthServer()

## Method Details

### authenticate

public void authenticate(Socket sock, DataInputStream din)
Description copied from interface: `QuorumAuthServer`
Performs an authentication step for the given socket connection.

Specified by:
  `authenticate` in interface `QuorumAuthServer`
Parameters:
  `sock` - socket connection to other quorum peer
  `din` - stream used to read auth data send by the quorum learner